---
updatedAt: 2026-05-15T09:04:24.000Z
agentTools:
  projectIndex: https://docs.ortex.com/llms.txt
---

# List of macro events


<p>Provides a list of significant macroeconomic events, including key metrics and country-specific information.</p>

<h3>Available Data Points:</h3>
<ul>
    <li><strong>Title:</strong> Short descriptive title of the event.</li>
    <li><strong>Date:</strong> The date of the event in `YYYY-MM-DD` format.</li>
    <li><strong>Datetime:</strong> The exact date and time in `YYYY-MM-DDTHH:mm:ssZ` format (ISO 8601), if applicable. </li>
    <li><strong>Actual Value:</strong> Reported or observed value for the event.</li>
    <li><strong>Expectation:</strong> Forecast or expected value for the event.</li>
    <li><strong>Surprise:</strong> Comparison or difference between actual and expected values.</li>
    <li><strong>Previous:</strong> Value reported during the previous reporting period.</li>
    <li><strong>Country iso2:</strong> Two-letter ISO country code (e.g., US, UK, DE).</li>
    <li><strong>Category:</strong> Broad classification of the event (e.g., GDP, inflation, employment).</li>
</ul>


<p><strong>Try it out!</strong> You can test the API with the <strong>trial key</strong> <code>TEST</code>. Simply include it in your request headers; either here, or add the header <code>"Ortex-Api-Key": "TEST"</code> to your http request.</p>


<p>
<strong>Trial key restrictions: </strong>A list of randomly selected rows will be returned</p>
<p><strong>Get full access!</strong> Get a key at <a href="https://app.ortex.com/apis" target="_blank">app.ortex.com/apis</a></p>


# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "ORTEX APIs",
    "version": "1.0",
    "description": "A revolutionary global equity analytics platform which identifies and analyses relevant data for your stocks."
  },
  "paths": {
    "/api/v1/macro_events": {
      "get": {
        "operationId": "macro_events_list",
        "description": "\n<p>Provides a list of significant macroeconomic events, including key metrics and country-specific information.</p>\n\n<h3>Available Data Points:</h3>\n<ul>\n    <li><strong>Title:</strong> Short descriptive title of the event.</li>\n    <li><strong>Date:</strong> The date of the event in `YYYY-MM-DD` format.</li>\n    <li><strong>Datetime:</strong> The exact date and time in `YYYY-MM-DDTHH:mm:ssZ` format (ISO 8601), if applicable. </li>\n    <li><strong>Actual Value:</strong> Reported or observed value for the event.</li>\n    <li><strong>Expectation:</strong> Forecast or expected value for the event.</li>\n    <li><strong>Surprise:</strong> Comparison or difference between actual and expected values.</li>\n    <li><strong>Previous:</strong> Value reported during the previous reporting period.</li>\n    <li><strong>Country iso2:</strong> Two-letter ISO country code (e.g., US, UK, DE).</li>\n    <li><strong>Category:</strong> Broad classification of the event (e.g., GDP, inflation, employment).</li>\n</ul>\n\n\n<p><strong>Try it out!</strong> You can test the API with the <strong>trial key</strong> <code>TEST</code>. Simply include it in your request headers; either here, or add the header <code>\"Ortex-Api-Key\": \"TEST\"</code> to your http request.</p>\n\n\n<p>\n<strong>Trial key restrictions: </strong>A list of randomly selected rows will be returned</p>\n<p><strong>Get full access!</strong> Get a key at <a href=\"https://app.ortex.com/apis\" target=\"_blank\">app.ortex.com/apis</a></p>\n",
        "summary": "List of macro events",
        "parameters": [
          {
            "in": "query",
            "name": "country",
            "schema": {
              "type": "string"
            },
            "description": "Country ISO-2 code",
            "required": true,
            "examples": {
              "CountryISO-2Code": {
                "value": "US",
                "summary": "Country ISO-2 code"
              }
            }
          },
          {
            "in": "query",
            "name": "from_date",
            "schema": {
              "type": "string"
            },
            "description": "Events from date in format yyyy-mm-dd. Default: one month back from to_date"
          },
          {
            "name": "page",
            "required": false,
            "in": "query",
            "description": "A page number within the paginated result set.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "page_size",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "to_date",
            "schema": {
              "type": "string"
            },
            "description": "Events to date in format yyyy-mm-dd. Default: today. Maximum date range is 1 month"
          }
        ],
        "tags": [
          "Macro events"
        ],
        "security": [
          {
            "ApiKeyAuth": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedMacroEventsList"
                },
                "examples": {
                  "MacroEvents": {
                    "value": {
                      "paginationLinks": {
                        "next": "http://api.example.org/accounts/?page=4",
                        "previous": "http://api.example.org/accounts/?page=2"
                      },
                      "length": 123,
                      "rows": [
                        [
                          {
                            "title": "GDP Sales QoQ 2nd Est Q4",
                            "date": "2025-02-27",
                            "datetime": "2025-02-27T13:30Z",
                            "actualValue": "3.2%",
                            "expectation": "3.2%",
                            "surprise": "0",
                            "previous": "3.3%",
                            "countryIso2": "US",
                            "category": "GDP Sales QoQ"
                          },
                          {
                            "title": "Core PCE Prices QoQ 2nd Est Q4",
                            "date": "2025-02-27",
                            "datetime": "2025-02-27T13:30Z",
                            "actualValue": "2.7%",
                            "expectation": "2.5%",
                            "surprise": "8.0",
                            "previous": "2.2%",
                            "countryIso2": "US",
                            "category": "Core PCE Prices QoQ"
                          }
                        ]
                      ],
                      "creditsUsed": 3,
                      "creditsLeft": 999
                    },
                    "summary": "Macro Events List"
                  }
                }
              }
            },
            "description": ""
          },
          "400": {
            "description": "Invalid request parameters"
          },
          "403": {
            "description": "Not authorized"
          },
          "404": {
            "description": "Data not found"
          },
          "429": {
            "description": "Rate limit exceeded"
          },
          "500": {
            "description": "Internal server error"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "MacroEvents": {
        "type": "object",
        "properties": {
          "title": {
            "type": "string"
          },
          "date": {
            "type": "string",
            "format": "date"
          },
          "datetime": {
            "type": "string",
            "format": "date-time"
          },
          "actualValue": {
            "type": "string"
          },
          "expectation": {
            "type": "string"
          },
          "surprise": {
            "type": "string"
          },
          "previous": {
            "type": "string"
          },
          "countryIso2": {
            "type": "string"
          },
          "category": {
            "type": "string"
          }
        },
        "required": [
          "actualValue",
          "category",
          "countryIso2",
          "date",
          "datetime",
          "expectation",
          "previous",
          "surprise",
          "title"
        ]
      },
      "PaginatedMacroEventsList": {
        "type": "object",
        "required": [
          "length",
          "paginationLinks",
          "rows"
        ],
        "properties": {
          "paginationLinks": {
            "type": "object",
            "example": {
              "next": "http://api.example.org/accounts/?page=4",
              "previous": "http://api.example.org/accounts/?page=2"
            }
          },
          "length": {
            "type": "integer",
            "example": 123
          },
          "rows": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/MacroEvents"
            }
          },
          "creditsUsed": {
            "type": "integer",
            "example": 3
          },
          "creditsLeft": {
            "type": "integer",
            "example": 999
          }
        }
      }
    },
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "Ortex-Api-Key",
        "description": "Use test API key: `TEST` to get a limited result."
      }
    }
  },
  "servers": [
    {
      "url": "https://api.ortex.com/",
      "description": "Production"
    }
  ]
}
```